Edit TB custom field
curl --request PATCH \
--url https://cloud.memsource.com/web/api2/v1/termBases/customFields/{id} \
--header 'Authorization: <api-key>' \
--header 'Content-Type: application/json' \
--data '
{
"fieldName": "Usage notes",
"values": [
"<string>"
]
}
'import requests
url = "https://cloud.memsource.com/web/api2/v1/termBases/customFields/{id}"
payload = {
"fieldName": "Usage notes",
"values": ["<string>"]
}
headers = {
"Authorization": "<api-key>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({fieldName: 'Usage notes', values: ['<string>']})
};
fetch('https://cloud.memsource.com/web/api2/v1/termBases/customFields/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"fieldName": "<string>",
"id": "<string>",
"level": "TERM",
"type": "SINGLE_SELECT",
"values": [
"<string>"
]
}Custom Fields
Edit TB custom field
PATCH
/
api2
/
v1
/
termBases
/
customFields
/
{id}
Edit TB custom field
Authorizations
ApiTokenOAuth2
Get a token from auth/login endpoint and then pass it in the Authorization HTTP header in every subsequent API call. For more information visit our help center.
Path Parameters
Body
application/json
Response
successful operation
DTO representing a term base custom field
Name of the custom field
Unique identifier of the custom field
Level of the custom field
Available options:
TERM, CONCEPT Example:
"TERM"
Type of the custom field
Available options:
STRING, NUMBER, DATE, BOOLEAN, SINGLE_SELECT, MULTI_SELECT, URL Example:
"SINGLE_SELECT"
List of possible values for select type fields
Was this page helpful?